#!/usr/bin/env python3
from flask import Flask, request, abort
from voipms.api import Client
import did, sms
import json

app = Flask(__name__)
with open("config.json",'r') as conf_file:
    conf = json.load(conf_file)
client = Client(conf["username"],conf["password"])


@app.route("/", methods=['GET'])
def default():
    return '<a href="http://git.community.i2p/anons-voip/voipsms">Check out the project</a>'

@app.route("/numbers", methods=['GET'])
def get_numbers():
    return did.get_numbers(client)

@app.route("/sms",methods=['GET', 'POST'])
def get_sms():
    did = request.args.get('did')
    return sms.get_sms(client, did)


@app.route("/enablesms",methods=['GET', 'POST'])
def set_sms():
    abort(403)
    did = request.args.get('did')
    return sms.get_sms(client, did)


if __name__ == "__main__":
    from waitress import serve
    serve(app, host="0.0.0.0", port=8080)
